Bug 427650 - Fedora does not read or recognise my 16GB SDHC card via USB adapter
Fedora does not read or recognise my 16GB SDHC card via USB adapter
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
All Linux
low Severity high
: ---
: ---
Assigned To: Pete Zaitcev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-06 01:53 EST by David
Modified: 2011-07-02 16:46 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-09 19:19:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached dump of /var/log/messages (121.85 KB, text/plain)
2008-02-21 06:35 EST, David
no flags Details
eeePC SDHC card - udevcontrol - udevmonitor - grep udev /var/log/messages (616 bytes, text/plain)
2008-10-31 15:43 EDT, Darren Fulton
no flags Details

  None (edit)
Description David 2008-01-06 01:53:24 EST
Description of problem:
I found Fedora 8 (and I presume 7 as well) won't recognise my SDHC 16GB card
from my camera.  I plug it into an adapter that goes in the USB port.  I found
Fedora 8 udev hangs on boot if I have got the USB adapter plugged in.  Also
plugging in the adapter when running I don't get a new mounted volume its just
unrecognized completely.

Version-Release number of selected component (if applicable):


How reproducible:
Absolutely Fedora does not read the card and udev hangs on bootup if its in the
machine

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 David 2008-02-02 03:25:08 EST
Any update?
Comment 2 Harald Hoyer 2008-02-20 05:55:38 EST
what happens if you plugin your card later on?

run as root:
# udevcontrol log_priority=info
# udevmonitor

then plugin your card.

Please attach the output of udevmonitor and:
# grep udev /var/log/messages
Comment 3 David 2008-02-20 17:09:22 EST
Well if you plug it in after its booted it just seems to ignore there is a card
in at all.  However your test proves it does see a USB scsi disk, so for some
reason its not being mounted properly so it does not appear on the desktop or
file manager.

But interestingly if I use a non SDHC card it pops up straight away on the desktop..


[root@three ~]# udevcontrol log_priority=info
[root@three ~]# udevmonitor
udevmonitor will print the received events for:
UDEV the event which udev sends out after rule processing
UEVENT the kernel uevent

UEVENT[1203545054.385718] add      /devices/pci0000:00/0000:00:1d.7/usb1/1-1 (usb)
UEVENT[1203545054.386402] add      /class/usb_endpoint/usbdev1.9_ep00 (usb_endpoint)
UEVENT[1203545054.386664] add     
/devices/pci0000:00/0000:00:1d.7/usb1/1-1/1-1:1.0 (usb)
UEVENT[1203545054.387291] add      /class/scsi_host/host5 (scsi_host)
UEVENT[1203545054.387510] add      /class/usb_endpoint/usbdev1.9_ep81 (usb_endpoint)
UEVENT[1203545054.387649] add      /class/usb_endpoint/usbdev1.9_ep02 (usb_endpoint)
UDEV  [1203545054.395945] add      /devices/pci0000:00/0000:00:1d.7/usb1/1-1 (usb)
UDEV  [1203545054.404762] add      /class/usb_endpoint/usbdev1.9_ep00 (usb_endpoint)
UDEV  [1203545054.421166] add     
/devices/pci0000:00/0000:00:1d.7/usb1/1-1/1-1:1.0 (usb)
UDEV  [1203545054.429546] add      /class/usb_endpoint/usbdev1.9_ep02 (usb_endpoint)
UDEV  [1203545054.431488] add      /class/scsi_host/host5 (scsi_host)
UDEV  [1203545054.432477] add      /class/usb_endpoint/usbdev1.9_ep81 (usb_endpoint)
UEVENT[1203545060.226484] add     
/devices/pci0000:00/0000:00:1d.7/usb1/1-1/1-1:1.0/host5/target5:0:0/5:0:0:0 (scsi)
UEVENT[1203545060.226792] add      /class/scsi_disk/5:0:0:0 (scsi_disk)
UDEV  [1203545070.269373] add     
/devices/pci0000:00/0000:00:1d.7/usb1/1-1/1-1:1.0/host5/target5:0:0/5:0:0:0 (scsi)
UDEV  [1203545070.274437] add      /class/scsi_disk/5:0:0:0 (scsi_disk)
Comment 4 David 2008-02-20 17:25:56 EST
Hey I found out some interesting info....  Seems its hanging on or just after
the add /class/scsi_disk/5:0:0:0  as I left the machine and when I came back
found it finally mounted the volume but immediately unmounted it..

Note the long time index on these:
UDEV  [1203545854.464661] add      /class/scsi_disk/8:0:0:0 (scsi_disk)
UEVENT[1203545956.578347] add      /block/sdc (block)

Here is a full log you can see it does it again and the big time gap...



UEVENT[1203545838.570700] add      /devices/pci0000:00/0000:00:1d.7/usb1/1-1 (usb)
UEVENT[1203545838.570827] add      /class/usb_endpoint/usbdev1.22_ep00
(usb_endpoint)
UEVENT[1203545838.570994] add     
/devices/pci0000:00/0000:00:1d.7/usb1/1-1/1-1:1.0 (usb)
UEVENT[1203545838.571230] add      /class/scsi_host/host8 (scsi_host)
UEVENT[1203545838.571460] add      /class/usb_endpoint/usbdev1.22_ep81
(usb_endpoint)
UEVENT[1203545838.571556] add      /class/usb_endpoint/usbdev1.22_ep02
(usb_endpoint)
UDEV  [1203545838.581936] add      /devices/pci0000:00/0000:00:1d.7/usb1/1-1 (usb)
UDEV  [1203545838.594304] add      /class/usb_endpoint/usbdev1.22_ep00
(usb_endpoint)
UDEV  [1203545838.624066] add     
/devices/pci0000:00/0000:00:1d.7/usb1/1-1/1-1:1.0 (usb)
UDEV  [1203545838.636980] add      /class/usb_endpoint/usbdev1.22_ep81
(usb_endpoint)
UDEV  [1203545838.639613] add      /class/scsi_host/host8 (scsi_host)
UDEV  [1203545838.641083] add      /class/usb_endpoint/usbdev1.22_ep02
(usb_endpoint)
UEVENT[1203545844.416501] add     
/devices/pci0000:00/0000:00:1d.7/usb1/1-1/1-1:1.0/host8/target8:0:0/8:0:0:0 (scsi)
UEVENT[1203545844.416636] add      /class/scsi_disk/8:0:0:0 (scsi_disk)
UDEV  [1203545854.460447] add     
/devices/pci0000:00/0000:00:1d.7/usb1/1-1/1-1:1.0/host8/target8:0:0/8:0:0:0 (scsi)
UDEV  [1203545854.464661] add      /class/scsi_disk/8:0:0:0 (scsi_disk)
UEVENT[1203545956.578347] add      /block/sdc (block)
UEVENT[1203545956.578482] remove   /class/usb_endpoint/usbdev1.22_ep81
(usb_endpoint)
UEVENT[1203545956.578554] remove   /class/usb_endpoint/usbdev1.22_ep02
(usb_endpoint)
UEVENT[1203545956.578671] add      /class/scsi_device/8:0:0:0 (scsi_device)
UEVENT[1203545956.578717] add      /class/scsi_generic/sg3 (scsi_generic)
UEVENT[1203545956.578786] add      /class/bsg/8:0:0:0 (bsg)
UEVENT[1203545956.578972] remove   /class/bsg/8:0:0:0 (bsg)
UEVENT[1203545956.579024] remove   /class/scsi_generic/sg3 (scsi_generic)
UEVENT[1203545956.579070] remove   /class/scsi_device/8:0:0:0 (scsi_device)
UEVENT[1203545956.579133] remove   /class/scsi_disk/8:0:0:0 (scsi_disk)
UEVENT[1203545956.579217] remove   /block/sdc (block)
UEVENT[1203545956.579273] remove  
/devices/pci0000:00/0000:00:1d.7/usb1/1-1/1-1:1.0/host8/target8:0:0/8:0:0:0 (scsi)
UEVENT[1203545956.579344] remove   /class/scsi_host/host8 (scsi_host)
UEVENT[1203545956.581409] remove  
/devices/pci0000:00/0000:00:1d.7/usb1/1-1/1-1:1.0 (usb)
UEVENT[1203545956.581627] remove   /class/usb_endpoint/usbdev1.22_ep00
(usb_endpoint)
UEVENT[1203545956.581987] remove   /devices/pci0000:00/0000:00:1d.7/usb1/1-1 (usb)
UDEV  [1203545956.582231] remove   /class/usb_endpoint/usbdev1.22_ep02
(usb_endpoint)
UDEV  [1203545956.582705] add      /class/scsi_device/8:0:0:0 (scsi_device)
UDEV  [1203545956.583922] remove   /class/usb_endpoint/usbdev1.22_ep81
(usb_endpoint)
UDEV  [1203545956.586267] add      /class/scsi_generic/sg3 (scsi_generic)
UDEV  [1203545956.586618] remove   /class/scsi_disk/8:0:0:0 (scsi_disk)
UDEV  [1203545956.588182] remove   /class/usb_endpoint/usbdev1.22_ep00
(usb_endpoint)
UDEV  [1203545956.588412] remove   /class/scsi_host/host8 (scsi_host)
UDEV  [1203545956.588652] remove  
/devices/pci0000:00/0000:00:1d.7/usb1/1-1/1-1:1.0/host8/target8:0:0/8:0:0:0 (scsi)
UDEV  [1203545956.589250] add      /class/bsg/8:0:0:0 (bsg)
UDEV  [1203545956.590154] remove   /class/scsi_device/8:0:0:0 (scsi_device)
UDEV  [1203545956.591054] remove   /class/scsi_generic/sg3 (scsi_generic)
UDEV  [1203545956.591412] remove  
/devices/pci0000:00/0000:00:1d.7/usb1/1-1/1-1:1.0 (usb)
UDEV  [1203545956.592509] remove   /class/bsg/8:0:0:0 (bsg)
UDEV  [1203545956.593466] remove   /devices/pci0000:00/0000:00:1d.7/usb1/1-1 (usb)
UDEV  [1203545956.602055] add      /block/sdc (block)
UDEV  [1203545956.603672] remove   /block/sdc (block)
Comment 5 Harald Hoyer 2008-02-21 02:11:19 EST
Please attach the output of:
# grep udev /var/log/messages
Comment 6 David 2008-02-21 06:35:37 EST
Created attachment 295497 [details]
Attached dump of /var/log/messages
Comment 7 Harald Hoyer 2008-04-23 06:11:08 EDT
I think this is a kernel problem. reassigning.
Comment 8 Chuck Ebbert 2008-04-23 22:43:24 EDT
Is the reader SDHC compatible? If it is not then it won't work.
Comment 9 David 2008-04-23 23:30:52 EDT
I am still not convinced its the kernel as why does udev hang on boot if its plugged in? Also its not the 
adapter its simply a plug that has USB and a socket for any SD card.

Also windows XP and Vista notebooks work perfectly so its not the adapter. Plug into fedora it won't 
read the 16GB card, simply remove the USB adapter with the card in it into either XP or my Vista 
notebook up comes the card.

Also my desktop fedora is a new dual core with USB 2 and again insert a smaller SD card I to the 
adapter and it reads it happily.

So we can eliminate hardware be it adapter, SD cards and USB ports.
Comment 10 Harald Hoyer 2008-04-24 01:33:58 EDT
udev hang on boot: cause udev tries to read from the volume to identify it and
the kernel provides the interface to the device to read from it. Seems like the
kernel has a problem with it.
Comment 11 Chuck Ebbert 2008-04-25 09:14:40 EDT
Can you plug in the card and then attach the kernel messages that get written to
the system log? (Or just attach the output of the dmesg command after plugging
in the card.)
Comment 12 David 2008-04-25 18:53:37 EDT
I just logged in and put the card in waited and out and repeated in this
messages log...

Apr 26 08:49:15 three gconfd (David.Cottle-2859): Resolved address
"xml:readwrite:/home/David.Cottle/.gconf" to a writable configuration source at
position 0
Apr 26 08:49:16 three hcid[2247]: Default passkey agent (:1.17,
/org/bluez/passkey) registered
Apr 26 08:49:16 three hcid[2247]: Default authorization agent (:1.17,
/org/bluez/auth) registered
Apr 26 08:49:21 three ntpd[2298]: synchronized to 203.171.85.237, stratum 1
Apr 26 08:49:21 three ntpd[2298]: time reset +1.650788 s
Apr 26 08:49:21 three ntpd[2298]: kernel time sync status change 0001
Apr 26 08:50:00 three kernel: usb 1-1: USB disconnect, address 6
Apr 26 08:50:00 three kernel: sd 4:0:0:0: [sdc] Result: hostbyte=DID_NO_CONNECT
driverbyte=DRIVER_OK,SUGGEST_OK
Apr 26 08:50:00 three kernel: end_request: I/O error, dev sdc, sector 0
Apr 26 08:50:00 three kernel: Buffer I/O error on device sdc, logical block 0
Apr 26 08:50:00 three kernel: sd 4:0:0:0: [sdc] Result: hostbyte=DID_NO_CONNECT
driverbyte=DRIVER_OK,SUGGEST_OK
Apr 26 08:50:00 three kernel: end_request: I/O error, dev sdc, sector 0
Apr 26 08:50:00 three kernel: Buffer I/O error on device sdc, logical block 0
Apr 26 08:50:00 three kernel: sd 4:0:0:0: [sdc] Result: hostbyte=DID_NO_CONNECT
driverbyte=DRIVER_OK,SUGGEST_OK
Apr 26 08:50:00 three kernel: end_request: I/O error, dev sdc, sector 0
Apr 26 08:50:00 three kernel: Buffer I/O error on device sdc, logical block 0
Apr 26 08:50:00 three kernel: sd 4:0:0:0: [sdc] Result: hostbyte=DID_NO_CONNECT
driverbyte=DRIVER_OK,SUGGEST_OK
Apr 26 08:50:00 three kernel: end_request: I/O error, dev sdc, sector 0
Apr 26 08:50:00 three kernel: Buffer I/O error on device sdc, logical block 0
Apr 26 08:50:00 three kernel: sd 4:0:0:0: [sdc] Result: hostbyte=DID_NO_CONNECT
driverbyte=DRIVER_OK,SUGGEST_OK
Apr 26 08:50:00 three kernel: end_request: I/O error, dev sdc, sector 0
Apr 26 08:50:00 three kernel: Buffer I/O error on device sdc, logical block 0
Apr 26 08:50:00 three kernel: sd 4:0:0:0: [sdc] Result: hostbyte=DID_NO_CONNECT
driverbyte=DRIVER_OK,SUGGEST_OK
Apr 26 08:50:00 three kernel: end_request: I/O error, dev sdc, sector 0
Apr 26 08:50:00 three kernel: Buffer I/O error on device sdc, logical block 0
Apr 26 08:50:00 three kernel: Dev sdc: unable to read RDB block 0
Apr 26 08:50:00 three kernel: sd 4:0:0:0: [sdc] Result: hostbyte=DID_NO_CONNECT
driverbyte=DRIVER_OK,SUGGEST_OK
Apr 26 08:50:00 three kernel: end_request: I/O error, dev sdc, sector 0
Apr 26 08:50:00 three kernel: Buffer I/O error on device sdc, logical block 0
Apr 26 08:50:00 three kernel: sd 4:0:0:0: [sdc] Result: hostbyte=DID_NO_CONNECT
driverbyte=DRIVER_OK,SUGGEST_OK
Apr 26 08:50:00 three kernel: end_request: I/O error, dev sdc, sector 0
Apr 26 08:50:00 three kernel: Buffer I/O error on device sdc, logical block 0
Apr 26 08:50:00 three kernel:  unable to read partition table
Apr 26 08:50:00 three kernel: sd 4:0:0:0: [sdc] Attached SCSI removable disk
Apr 26 08:50:00 three kernel: sd 4:0:0:0: Attached scsi generic sg3 type 0
Apr 26 08:50:00 three scsi_id[3090]: scsi_id: unable to access '/block/sdc'
Apr 26 08:50:20 three kernel: usb 1-1: new high speed USB device using ehci_hcd
and address 7
Apr 26 08:50:20 three kernel: usb 1-1: configuration #1 chosen from 1 choice
Apr 26 08:50:20 three kernel: scsi5 : SCSI emulation for USB Mass Storage devices
Apr 26 08:50:26 three kernel: scsi 5:0:0:0: Direct-Access     Generic          
        6000 PQ: 0 ANSI: 0 CCS
Apr 26 08:50:26 three kernel: sd 5:0:0:0: [sdc] 32104448 512-byte hardware
sectors (16437 MB)
Apr 26 08:50:26 three kernel: sd 5:0:0:0: [sdc] Write Protect is off
Apr 26 08:50:26 three kernel: sd 5:0:0:0: [sdc] Assuming drive cache: write through
Apr 26 08:50:26 three kernel: sd 5:0:0:0: [sdc] 32104448 512-byte hardware
sectors (16437 MB)
Apr 26 08:50:26 three kernel: sd 5:0:0:0: [sdc] Write Protect is off
Apr 26 08:50:26 three kernel: sd 5:0:0:0: [sdc] Assuming drive cache: write through
Apr 26 08:50:26 three kernel:  sdc:end_request: I/O error, dev sdc, sector 0
Apr 26 08:50:26 three kernel: Buffer I/O error on device sdc, logical block 0
Apr 26 08:51:20 three kernel: usb 1-1: USB disconnect, address 7
Apr 26 08:51:20 three kernel: sd 5:0:0:0: [sdc] Result: hostbyte=DID_NO_CONNECT
driverbyte=DRIVER_OK,SUGGEST_OK
Apr 26 08:51:20 three kernel: end_request: I/O error, dev sdc, sector 0
Apr 26 08:51:20 three kernel: Buffer I/O error on device sdc, logical block 0
Apr 26 08:51:20 three kernel: sd 5:0:0:0: [sdc] Result: hostbyte=DID_NO_CONNECT
driverbyte=DRIVER_OK,SUGGEST_OK
Apr 26 08:51:20 three kernel: end_request: I/O error, dev sdc, sector 0
Apr 26 08:51:20 three kernel: Buffer I/O error on device sdc, logical block 0
Apr 26 08:51:20 three kernel: sd 5:0:0:0: [sdc] Result: hostbyte=DID_NO_CONNECT
driverbyte=DRIVER_OK,SUGGEST_OK
Apr 26 08:51:20 three kernel: end_request: I/O error, dev sdc, sector 0
Apr 26 08:51:20 three kernel: Buffer I/O error on device sdc, logical block 0
Apr 26 08:51:20 three kernel: sd 5:0:0:0: [sdc] Result: hostbyte=DID_NO_CONNECT
driverbyte=DRIVER_OK,SUGGEST_OK
Apr 26 08:51:20 three kernel: end_request: I/O error, dev sdc, sector 0
Apr 26 08:51:20 three kernel: Buffer I/O error on device sdc, logical block 0
Apr 26 08:51:20 three kernel: sd 5:0:0:0: [sdc] Result: hostbyte=DID_NO_CONNECT
driverbyte=DRIVER_OK,SUGGEST_OK
Apr 26 08:51:20 three kernel: end_request: I/O error, dev sdc, sector 0
Apr 26 08:51:20 three kernel: Buffer I/O error on device sdc, logical block 0
Apr 26 08:51:20 three kernel: sd 5:0:0:0: [sdc] Result: hostbyte=DID_NO_CONNECT
driverbyte=DRIVER_OK,SUGGEST_OK
Apr 26 08:51:20 three kernel: end_request: I/O error, dev sdc, sector 0
Apr 26 08:51:20 three kernel: Buffer I/O error on device sdc, logical block 0
Apr 26 08:51:20 three kernel: Dev sdc: unable to read RDB block 0
Apr 26 08:51:20 three kernel: sd 5:0:0:0: [sdc] Result: hostbyte=DID_NO_CONNECT
driverbyte=DRIVER_OK,SUGGEST_OK
Apr 26 08:51:20 three kernel: end_request: I/O error, dev sdc, sector 0
Apr 26 08:51:20 three kernel: Buffer I/O error on device sdc, logical block 0
Apr 26 08:51:20 three kernel: sd 5:0:0:0: [sdc] Result: hostbyte=DID_NO_CONNECT
driverbyte=DRIVER_OK,SUGGEST_OK
Apr 26 08:51:20 three kernel: end_request: I/O error, dev sdc, sector 0
Apr 26 08:51:20 three kernel: Buffer I/O error on device sdc, logical block 0
Apr 26 08:51:20 three kernel:  unable to read partition table
Apr 26 08:51:20 three kernel: sd 5:0:0:0: [sdc] Attached SCSI removable disk
Apr 26 08:51:20 three kernel: sd 5:0:0:0: Attached scsi generic sg3 type 0
Apr 26 08:51:20 three scsi_id[3139]: scsi_id: unable to access '/block/sdc'
Comment 13 Chuck Ebbert 2008-04-29 12:36:33 EDT
Looks like it just keeps endlessly connecting and disconnecting from the USB bus.
Comment 14 David 2008-04-29 19:49:57 EDT
It could be me, I removed and inserted it no more than 3 times, but left it in
for at least 1 minute.
Comment 15 David 2008-06-03 19:11:40 EDT
Well an update to F9 did not fix this issue :(

Jun  4 08:17:04 three ntpd[2495]: synchronized to 10.0.0.1, stratum 1
Jun  4 09:09:01 three kernel: usb 1-1: new high speed USB device using ehci_hcd
and address 6
Jun  4 09:09:01 three kernel: usb 1-1: configuration #1 chosen from 1 choice
Jun  4 09:09:01 three kernel: usb 1-1: New USB device found, idVendor=090c,
idProduct=6000
Jun  4 09:09:01 three kernel: usb 1-1: New USB device strings: Mfr=1, Product=2,
SerialNumber=3
Jun  4 09:09:01 three kernel: usb 1-1: Product: USB2.0 Card Reader  
Jun  4 09:09:01 three kernel: usb 1-1: Manufacturer: Generic       ,   . 
Jun  4 09:09:01 three kernel: usb 1-1: SerialNumber: 0000001       
Jun  4 09:09:02 three kernel: Initializing USB Mass Storage driver...
Jun  4 09:09:02 three kernel: scsi4 : SCSI emulation for USB Mass Storage devices
Jun  4 09:09:02 three kernel: usbcore: registered new interface driver usb-storage
Jun  4 09:09:02 three kernel: USB Mass Storage support registered.
Jun  4 09:09:07 three kernel: scsi 4:0:0:0: Direct-Access     Generic          
        6000 PQ: 0 ANSI: 0 CCS
Jun  4 09:09:07 three kernel: sd 4:0:0:0: [sdc] 32104448 512-byte hardware
sectors (16437 MB)
Jun  4 09:09:07 three kernel: sd 4:0:0:0: [sdc] Write Protect is off
Jun  4 09:09:07 three kernel: sd 4:0:0:0: [sdc] Assuming drive cache: write through
Jun  4 09:09:07 three kernel: sd 4:0:0:0: [sdc] 32104448 512-byte hardware
sectors (16437 MB)
Jun  4 09:09:07 three kernel: sd 4:0:0:0: [sdc] Write Protect is off
Jun  4 09:09:07 three kernel: sd 4:0:0:0: [sdc] Assuming drive cache: write through
Jun  4 09:09:07 three kernel:  sdc:<3>end_request: I/O error, dev sdc, sector 0
Jun  4 09:09:07 three kernel: Buffer I/O error on device sdc, logical block 0
Jun  4 09:10:08 three kernel: usb 1-1: reset high speed USB device using
ehci_hcd and address 6
Jun  4 09:10:23 three kernel: usb 1-1: device descriptor read/64, error -110
Comment 16 David 2008-06-18 08:11:48 EDT
Still no joy its still broken:

Jun 18 22:08:24 three kernel: usb 1-1: new high speed USB device using ehci_hcd
and address 6
Jun 18 22:08:24 three kernel: usb 1-1: configuration #1 chosen from 1 choice
Jun 18 22:08:24 three kernel: usb 1-1: New USB device found, idVendor=090c,
idProduct=6000
Jun 18 22:08:24 three kernel: usb 1-1: New USB device strings: Mfr=1, Product=2,
SerialNumber=3
Jun 18 22:08:24 three kernel: usb 1-1: Product: USB2.0 Card Reader  
Jun 18 22:08:24 three kernel: usb 1-1: Manufacturer: Generic       ,   . 
Jun 18 22:08:24 three kernel: usb 1-1: SerialNumber: 0000001       
Jun 18 22:08:24 three kernel: Initializing USB Mass Storage driver...
Jun 18 22:08:24 three kernel: scsi4 : SCSI emulation for USB Mass Storage devices
Jun 18 22:08:24 three kernel: usbcore: registered new interface driver usb-storage
Jun 18 22:08:24 three kernel: USB Mass Storage support registered.
Jun 18 22:08:30 three kernel: scsi 4:0:0:0: Direct-Access     Generic          
        6000 PQ: 0 ANSI: 0 CCS
Jun 18 22:08:30 three kernel: sd 4:0:0:0: [sdc] 32104448 512-byte hardware
sectors (16437 MB)
Jun 18 22:08:30 three kernel: sd 4:0:0:0: [sdc] Write Protect is off
Jun 18 22:08:30 three kernel: sd 4:0:0:0: [sdc] Assuming drive cache: write through
Jun 18 22:08:30 three kernel: sd 4:0:0:0: [sdc] 32104448 512-byte hardware
sectors (16437 MB)
Jun 18 22:08:30 three kernel: sd 4:0:0:0: [sdc] Write Protect is off
Jun 18 22:08:30 three kernel: sd 4:0:0:0: [sdc] Assuming drive cache: write through
Jun 18 22:08:30 three kernel:  sdc:<3>end_request: I/O error, dev sdc, sector 0
Jun 18 22:08:30 three kernel: Buffer I/O error on device sdc, logical block 0

I am running kernel 2.6.25.6-55.fc9
Comment 17 David 2008-10-22 03:08:17 EDT
The 2.6.26 kernels have not fixed this either :(

Patriot SDHC 16 GB class 6

Works perfectly in Windows on two notebooks using the same readers, so its just Fedora that it wont work on.  I also have a Fedora notebook that boots Windows so its not the PC either.
Comment 18 Darren Fulton 2008-10-31 15:40:42 EDT
I'm certain that there is a bug somewhere that breaks SDHC cards when used in first generation ASUS eeePCs.  My 16 GB SDHC _worked_fine_ under Fedora 8 (using at least some of the older F8 kernels) but does not work under Fedora 9 or Fedora release 9.92 (Rawhide).

dmseg shows, when popping the card in and out:

sd 2:0:0:0: timing out command, waited 360s
sd 2:0:0:0: [sdb] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE,SUGGEST_OK
sd 2:0:0:0: [sdb] Sense Key : Hardware Error [current]
sd 2:0:0:0: [sdb] Add. Sense: Unrecovered read error
end_request: I/O error, dev sdb, sector 31388656
Buffer I/O error on device sdb, logical block 3923582
sd 2:0:0:0: timing out command, waited 360s
sd 2:0:0:0: [sdb] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE,SUGGEST_OK
sd 2:0:0:0: [sdb] Sense Key : Hardware Error [current]
sd 2:0:0:0: [sdb] Add. Sense: Unrecovered read error
end_request: I/O error, dev sdb, sector 31388656
Buffer I/O error on device sdb, logical block 3923582

This is a real bummer.  I rolled-back my eeepc from F9 back to F8 due to this issue.  I upgraded yesterday to Fedora 10 beta (full reload) and _everything_, except the SDHC card, works great.

I'll be glad to do some testing if you don't have access to one of these computers or cards.  Just let me know.  I think this problem is a kernel bug and I think it happened during one of the Fedora 8 kernel updates. Thank you.
Comment 19 Darren Fulton 2008-10-31 15:43:22 EDT
Created attachment 322123 [details]
eeePC SDHC card - udevcontrol - udevmonitor - grep udev /var/log/messages
Comment 20 Darren Fulton 2008-10-31 15:46:59 EDT
This may be the same bug:

https://bugzilla.redhat.com/show_bug.cgi?id=465405
Comment 21 Darren Fulton 2008-10-31 18:27:42 EDT
By the way, I'm pretty sure that this is the on-board (but USB connected) card reader's info from /proc/bus/usb/devices:

T:  Bus=03 Lev=01 Prnt=01 Port=00 Cnt=01 Dev#=  2 Spd=12  MxCh= 0
D:  Ver= 2.00 Cls=00(>ifc ) Sub=00 Prot=00 MxPS=64 #Cfgs=  1     
P:  Vendor=0951 ProdID=1606 Rev= 1.00                            
S:  Manufacturer=ENE                                             
S:  Product=UB6225                                               
S:  SerialNumber=146030377350                                    
C:* #Ifs= 1 Cfg#= 1 Atr=80 MxPwr=498mA                           
I:* If#= 0 Alt= 0 #EPs= 2 Cls=08(stor.) Sub=06 Prot=50 Driver=usb-storage
E:  Ad=01(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms                              
E:  Ad=82(I) Atr=02(Bulk) MxPS=  64 Ivl=0ms
Comment 22 Darren Fulton 2008-10-31 18:53:57 EDT
This appears to be a regression issue discussed on LKML in April, but it appears that someone dropped it before getting fixed.  

http://lkml.org/lkml/2008/4/1/345

If so, can anyone suggest a workaround other than downgrading to an old kernel?
Comment 23 Darren Fulton 2008-11-10 18:21:58 EST
Here is a follow up.  I just wanted to make sure something was clear.  The
onboard (USB connected) card reader is the thing that isn't working with Fedora
9 and Fedora 10 beta.  

I have an externally connected USB SD/SDHC card reader that I bought for my
EEEPC to use until this bug is fixed and it _does_work_ without issues.  The
problem is not the memory card and given that the onboard card reader worked
properly under Fedora 8 [early kernels at least], isn't the card reader
hardware.  

Please consider this a Fedora bug and work toward a resolution.  I'm
not smart enough to know whether it is a kernel bug or not, but I do know that
it doesn't work under Fedora 9 and Fedora 10 and would appreciate it greatly if
you Red Hat folks would help fix it.  Thank you.  Again, I'm available to help
troubleshoot and test.
Comment 24 Bug Zapper 2008-11-26 04:18:24 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 25 Darren Fulton 2008-11-26 04:35:53 EST
Still broken in:

Linux lt1.anyapp.com 2.6.27.5-117.fc10.i686 #1 SMP Tue Nov 18 12:19:59 EST 2008 i686 i686 i386 GNU/Linux

Fedora release 10 (Cambridge)

Someone please modify bug to list "Version: 10".
Comment 26 Darren Fulton 2008-12-03 13:42:42 EST
My EeePC just broke entirely.  I replaced it with an Acer Aspire One netbook.  It has two card readers.  One of these reads the SDHC card properly in Fedora 10.

The EeePC running Fedora 10 and fully patched would not read the card as recently as Monday (01DEC2008).  So this bug has not been fixed yet.  Thank you.
Comment 27 David 2008-12-03 15:56:02 EST
Updated to Fedora 10
Comment 28 Pete Zaitcev 2009-01-16 14:40:12 EST
David, what is the situation with this? Ignoring Darren's issue for the moment,
I thought that we fixed the endless retries over the zero sense. So, what is
the current failure symptom here?

I bought an SDHC capable reader and a couple of 8GB cards. They seem to
work fine (on Rawhide F11 at least), so I'll need to get debug info from you.
Comment 29 David 2009-01-17 02:39:51 EST
Sure tell me what you need me to do.  Its still happening.  My reader works fine in Windows XP so I know the reader and SD card work.

I also know F10 works with the 16 and 32GB memory stick.

I think its some quirky thing with the reader and Fedora, but let me know what you need from me.

Thanks!
Comment 30 Pete Zaitcev 2009-01-17 11:35:10 EST
I'll get back to you when I see that we fixed bug 470491 (endless retries).
I was wrong about it being already fixed apparently.
Comment 31 Bug Zapper 2009-11-18 04:33:16 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 32 Bug Zapper 2010-04-27 07:52:28 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 33 netbeans 2011-07-02 16:46:04 EDT
I have an ASUS laptop G73sw that has a internal HDSC card reader. On windows, i can read the 16gb card. On fedora 14 the sdhc reader not seem to be recognized at all. When  I try the udevadm equiv, I get no udev feedback. nothing in the message log either.
=======LSUSB======================
[root@Asus smolt]# lsusb
Bus 002 Device 003: ID 045e:0039 Microsoft Corp. IntelliMouse Optical
Bus 002 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 005: ID 0b05:1788 ASUSTek Computer, Inc. 
Bus 001 Device 004: ID 0bda:0139 Realtek Semiconductor Corp. 
Bus 001 Device 003: ID 13d3:5122 IMC Networks 
Bus 001 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
[root@Asus smolt]# 
============LSPCI==================
[root@Asus smolt]# lspci
00:00.0 Host bridge: Intel Corporation Sandy Bridge DRAM Controller (rev 09)
00:01.0 PCI bridge: Intel Corporation Sandy Bridge PCI Express Root Port (rev 09)
00:16.0 Communication controller: Intel Corporation Cougar Point HECI Controller #1 (rev 04)
00:1a.0 USB Controller: Intel Corporation Cougar Point USB Enhanced Host Controller #2 (rev 05)
00:1b.0 Audio device: Intel Corporation Cougar Point High Definition Audio Controller (rev 05)
00:1c.0 PCI bridge: Intel Corporation Cougar Point PCI Express Root Port 1 (rev b5)
00:1c.1 PCI bridge: Intel Corporation Cougar Point PCI Express Root Port 2 (rev b5)
00:1c.3 PCI bridge: Intel Corporation Cougar Point PCI Express Root Port 4 (rev b5)
00:1c.5 PCI bridge: Intel Corporation Cougar Point PCI Express Root Port 6 (rev b5)
00:1d.0 USB Controller: Intel Corporation Cougar Point USB Enhanced Host Controller #1 (rev 05)
00:1f.0 ISA bridge: Intel Corporation Cougar Point LPC Controller (rev 05)
00:1f.2 SATA controller: Intel Corporation Cougar Point 6 port SATA AHCI Controller (rev 05)
00:1f.3 SMBus: Intel Corporation Cougar Point SMBus Controller (rev 05)
01:00.0 VGA compatible controller: nVidia Corporation Device 0dd1 (rev a1)
01:00.1 Audio device: nVidia Corporation Device 0be9 (rev a1)
03:00.0 Network controller: Atheros Communications Inc. AR9285 Wireless Network Adapter (PCI-Express) (rev 01)
04:00.0 USB Controller: Device 1b73:1000 (rev 04)
05:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 06)
[root@Asus smolt]# 

===========SMOLT===================


[root@Asus smolt]# /usr/bin/smoltSendProfile -p


General
=================================
UUID: b301e3cb-e1c7-4b1e-aadc-2155f8b0440b
OS: Fedora release 14 (Laughlin)
Default run level: 5
Language: en_US.UTF-8
Platform: x86_64
BogoMIPS: 3990.93
CPU Vendor: GenuineIntel
CPU Model: Intel(R) Core(TM) i7-2630QM CPU @ 2.00GHz
CPU Stepping: 7
CPU Family: 6
CPU Model Num: 42
Number of CPUs: 8
CPU Speed: 2001
System Memory: 7978
System Swap: 8191
Vendor: ASUSTeK Computer Inc.
System: G73Sw 1.0
Form factor: laptop
Kernel: 2.6.35.13-92.fc14.x86_64
SELinux Enabled: 0
SELinux Policy: targeted
SELinux Enforce: Unknown


Devices
=================================
(None:None:None:None) platform, Unknown, None, Platform Device (pcspkr)
(None:None:None:None) scsi_generic, Unknown, None, SCSI Generic Interface
(None:None:None:None) scsi, sd, None, SCSI Device
(4318:3537:4163:8264) pci, nouveau, VIDEO, Unknown (0x0dd1)
(None:None:None:None) platform, iTCO_wdt, None, Platform Device (iTCO_wdt)
(None:None:None:None) leds, Unknown, None, No Description
(None:None:None:None) pnp, rtc_cmos, None, AT Real-Time Clock
(None:None:None:None) pnp, i8042 aux, None, PnP Device (SYN0a16)
(32902:7194:4163:4599) pci, pcieport, OTHER, Cougar Point PCI Express Root Port 6
(None:None:None:None) leds, Unknown, None, No Description
(1118:57:None:None) usb, usbhid, OTHER, USB HID Interface
(2821:6024:None:None) usb, btusb, OTHER, USB Wireless Interface
(None:None:None:None) net, Unknown, NETWORK, WLAN Interface
(None:None:None:None) bluetooth, Unknown, None, Bluetooth Host Controller Interface
(None:None:None:None) net, Unknown, NETWORK, Networking Interface
(3034:313:None:None) usb, Unknown, OTHER, USB Vendor Specific Interface
(32902:7190:4163:4599) pci, pcieport, OTHER, Cougar Point PCI Express Root Port 4
(32902:260:4163:4599) pci, Unknown, OTHER, Sandy Bridge DRAM Controller
(None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter
(32902:7186:4163:4599) pci, pcieport, OTHER, Cougar Point PCI Express Root Port 2
(32902:7184:4163:4599) pci, pcieport, OTHER, Cougar Point PCI Express Root Port 1
(None:None:None:None) power_supply, Unknown, None, G73--52
(None:None:None:None) platform, Unknown, None, Platform Device (Fixed MDIO bus.0)
(2821:6024:None:None) usb, Unknown, OTHER, USB Application Specific Interface
(None:None:None:None) serio, Unknown, None, i8042 AUX0 port
(None:None:None:None) leds, Unknown, None, No Description
(None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter
(32902:7171:4163:4599) pci, ahci, OTHER, Cougar Point 6 port SATA AHCI Controller
(32902:7226:4163:4599) pci, Unknown, OTHER, Cougar Point HECI Controller #1
(32902:7213:4163:4599) pci, ehci_hcd, USB, Cougar Point USB Enhanced Host Controller #2
(None:None:None:None) drm, Unknown, None, Direct Rendering Manager Device
(None:None:None:None) scsi, sd, None, SCSI Device
(5772:43:6715:4233) pci, ath9k, NETWORK, AR9285 Wireless Network Adapter (PCI-Express)
(None:None:None:None) net, Unknown, NETWORK, Loopback device Interface
(None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter
(None:None:None:None) scsi, sr, None, SCSI Device
(None:None:None:None) rfkill, Unknown, None, hci0 bluetooth Killswitch
(2821:6024:None:None) usb, btusb, OTHER, USB Wireless Interface
(None:None:None:None) platform, i8042, None, Platform Device (i8042)
(2821:6024:None:None) usb, Unknown, OTHER, USB Vendor Specific Interface
(7027:4096:4163:4153) pci, Unknown, USB, Unknown (0x1000)
(None:None:None:None) drm, Unknown, None, Direct Rendering Manager Device
(None:None:None:None) drm, Unknown, None, Direct Rendering Manager Device
(None:None:None:None) video4linux, Unknown, None, USB2.0 UVC 2M WebCam
(None:None:None:None) scsi_generic, Unknown, None, SCSI Generic Interface
(32902:7206:4163:4599) pci, ehci_hcd, USB, Cougar Point USB Enhanced Host Controller #1
(32902:7202:4163:4599) pci, Unknown, OTHER, Cougar Point SMBus Controller
(32902:7200:4163:6675) pci, HDA Intel, AUDIO, Cougar Point High Definition Audio Controller
(4318:3049:4163:8264) pci, HDA Intel, AUDIO, Unknown (0x0be9)
(5075:20770:None:None) usb, uvcvideo, OTHER, USB Video Interface
(5075:20770:None:None) usb, uvcvideo, OTHER, USB Video Interface
(None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter
(None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter
(None:None:None:None) serio, Unknown, None, i8042 AUX1 port
(None:None:None:None) rfkill, Unknown, None, phy0 wlan Killswitch
(None:None:None:None) input, Unknown, None, Power Button
(None:None:None:None) power_supply, Unknown, None, Generic AC Adapter Device
(None:None:None:None) serio, Unknown, None, i8042 AUX2 port
(None:None:None:None) input, Unknown, None, Video Bus
(None:None:None:None) pnp, i8042 kbd, None, IBM Enhanced (101/102-key, PS/2 mouse support)
(None:None:None:None) drm, Unknown, None, Direct Rendering Manager Device
(None:None:None:None) serio, Unknown, None, i8042 AUX3 port
(None:None:None:None) backlight, Unknown, None, Generic Backlight Device
(None:None:None:None) input, Unknown, None, Lid Switch
(None:None:None:None) input, Unknown, None, Sleep Button
(None:None:None:None) leds, Unknown, None, No Description
(None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter
(None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter
(None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter
(None:None:None:None) platform, Unknown, None, Platform Device (regulatory.0)
(None:None:None:None) serio, atkbd, None, i8042 KBD port
(None:None:None:None) backlight, Unknown, None, Generic Backlight Device
(32902:7241:4163:4599) pci, Unknown, OTHER, Cougar Point LPC Controller
(None:None:None:None) input, Unknown, KEYBOARD, AT Translated Set 2 keyboard
(None:None:None:None) input, Unknown, MOUSE, Microsoft Microsoft 5-Button Mouse with IntelliEye(TM)
(None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter
(None:None:None:None) scsi_generic, Unknown, None, SCSI Generic Interface
(None:None:None:None) platform, serial8250, None, Platform Device (serial8250)
(None:None:None:None) input, Unknown, None, USB2.0 UVC 2M WebCam
(None:None:None:None) drm, Unknown, None, Direct Rendering Manager Device
(32902:257:4163:4599) pci, pcieport, OTHER, Sandy Bridge PCI Express Root Port
(None:None:None:None) platform, Unknown, None, Platform Device (microcode)
(None:None:None:None) drm, Unknown, None, Direct Rendering Manager Device
(4332:33128:4163:5845) pci, r8169, NETWORK, RTL8111/8168B PCI Express Gigabit Ethernet controller


Filesystem Information
=================================
device mtpt type bsize frsize blocks bfree bavail file ffree favail
-------------------------------------------------------------------
/dev/sda6 / ext3 4096 4096 16378823 5545194 4713194 4161536 3644493 3644493
/dev/sdb1 /home ext2 4096 4096 120180148 106181154 100076335 30531584 30257732 30257732
/dev/sda8 /var ext3 4096 4096 14313799 14191680 13464576 3637248 3632655 3632655

[root@Asus smolt]#

Note You need to log in before you can comment on or make changes to this bug.